org.eclipse.viatra.query.patternlanguage.emf.eMFPatternLanguage

## Interface ReferenceType

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RelationType, Type
  All Known Implementing Classes:
    ReferenceTypeImpl

      public interface ReferenceType
      extends RelationType

  A representation of the model object 'Reference Type'.

  The following features are supported:

  - `Refname`
  See Also:
    `EMFPatternLanguagePackage.getReferenceType()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EStructuralFeature` | `getRefname()` Returns the value of the 'Refname' reference.
    `void` | `setRefname(org.eclipse.emf.ecore.EStructuralFeature value)` Sets the value of the '`Refname`' reference.

    - ### Methods inherited from interface org.eclipse.viatra.query.patternlanguage.patternLanguage.Type

      `getTypename, setTypename`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getRefname

          org.eclipse.emf.ecore.EStructuralFeature getRefname()

      Returns the value of the 'Refname' reference.

      If the meaning of the 'Refname' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Refname' reference.
      See Also:
        `setRefname(EStructuralFeature)`, `EMFPatternLanguagePackage.getReferenceType_Refname()`
      Generated:
      Model:

    - #### setRefname

          void setRefname(org.eclipse.emf.ecore.EStructuralFeature value)

      Sets the value of the '`Refname`' reference.
      Parameters:
        `value` - the new value of the 'Refname' reference.
      See Also:
        `getRefname()`
      Generated: